Bug 1317176 - SELinux is preventing systemd-gpt-aut from 'ioctl' accesses on the blk_file /dev/sda.
SELinux is preventing systemd-gpt-aut from 'ioctl' accesses on the blk_file /...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
24
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:53c46c398dda37206978395e886...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-12 13:36 EST by Fabio Valentini
Modified: 2016-03-23 12:55 EDT (History)
7 users (show)

See Also:
Fixed In Version: selinux-policy-3.13.1-179.fc24
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-23 12:55:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Fabio Valentini 2016-03-12 13:36:22 EST
Description of problem:
SELinux is preventing systemd-gpt-aut from 'ioctl' accesses on the blk_file /dev/sda.

*****  Plugin catchall (100. confidence) suggests   **************************

If you believe that systemd-gpt-aut should be allowed ioctl access on the sda blk_file by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# grep systemd-gpt-aut /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                system_u:system_r:systemd_gpt_generator_t:s0
Target Context                system_u:object_r:fixed_disk_device_t:s0
Target Objects                /dev/sda [ blk_file ]
Source                        systemd-gpt-aut
Source Path                   systemd-gpt-aut
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           
Target RPM Packages           
Policy RPM                    selinux-policy-3.13.1-178.fc24.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Permissive
Host Name                     (removed)
Platform                      Linux (removed) 4.5.0-0.rc7.git0.2.fc24.x86_64 #1
                              SMP Tue Mar 8 02:20:08 UTC 2016 x86_64 x86_64
Alert Count                   1
First Seen                    2016-03-12 16:26:06 CET
Last Seen                     2016-03-12 16:26:06 CET
Local ID                      bedd5a8c-2715-4953-bc7f-05a942b9fc63

Raw Audit Messages
type=AVC msg=audit(1457796366.769:289): avc:  denied  { ioctl } for  pid=11184 comm="systemd-gpt-aut" path="/dev/sda" dev="devtmpfs" ino=1204 ioctlcmd=1272 scontext=system_u:system_r:systemd_gpt_generator_t:s0 tcontext=system_u:object_r:fixed_disk_device_t:s0 tclass=blk_file permissive=1


Hash: systemd-gpt-aut,systemd_gpt_generator_t,fixed_disk_device_t,blk_file,ioctl

Version-Release number of selected component:
selinux-policy-3.13.1-178.fc24.noarch

Additional info:
reporter:       libreport-2.6.4
hashmarkername: setroubleshoot
kernel:         4.5.0-0.rc7.git0.2.fc24.x86_64
type:           libreport
Comment 1 Fedora Update System 2016-03-16 09:41:28 EDT
selinux-policy-3.13.1-179.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-8f142bb969
Comment 2 Fedora Update System 2016-03-18 10:58:21 EDT
selinux-policy-3.13.1-179.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-8f142bb969
Comment 3 Fedora Update System 2016-03-23 12:54:26 EDT
selinux-policy-3.13.1-179.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.